package api.common.pojo.vo.project;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author zhoutianfu
 * @update 2025/3/2 14:03
 * @since 2025/3/2 14:03
 **/
@EqualsAndHashCode(callSuper = false)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseSceneKeysNumsVo extends SceneComputerRateBaseVo {

    /**
     * 关键场景个数
     */
    private Integer sceneNums;

    public BaseSceneKeysNumsVo(String sceneBaseName, Integer sceneNums) {
        super(sceneBaseName);
        this.sceneNums = sceneNums;
    }
}
