package com.css.simulation.resource.server.infra.db.mysql.mapper;

import com.css.simulation.resource.server.infra.db.entity.SceneComputerRateEntity;
import org.apache.ibatis.annotations.*;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
@Mapper
public interface SceneComputerRateMapper {

    void saveSceneComputerRate(SceneComputerRateEntity params);

    SceneComputerRateEntity loadSceneCoveragePrefixKeyNums(@Param("computerType") String computerType);

    void deleteByIdAndType(@Param("computerRateId") String computerRateId, @Param("computerType") String computerType);

    List<SceneComputerRateEntity> loadSceneComputerRateByTaskIdAndType(@Param("taskId") String taskId, @Param("computerTypeList") List<String> computerTypeList);
}
