#!/bin/bash

# 获取运行 simulation-oauth-server-1.0.jar 的 Java 进程的 PID
PID=$(pgrep -f simulation-gateway-1.0.jar)

# 检查是否找到了 PID
if [ -z "$PID" ]; then
    echo "------- 服务已停止，无需重复执行脚本 -------"
else
    echo "------- 杀死指定进程: $PID -------"
    kill "$PID"
fi