package com.css.simulation.resource.server.infra.db.entity;

import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 场景各种率计算PO
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneComputerRateEntity implements Serializable {
    private String computerRateId;
    /**
     * 计算类型 {@link api.common.pojo.constants.DictConstants  DictConstants} 使用 EXPOSURE_RATE COVERAGE
     */
    private String computerType;
    private String ruleId;
    private String ruleName;
    private String algorithmId;
    private String algorithmName;
    private String vehicleId;
    private String vehicleName;
    private String taskId;
    private String computerResult;
    private String sceneIdList;
    private String isDeleted;
    public Timestamp createTime;
    /**
     * 记录创建人（用户id）
     */
    public String createUserId;
}